Bug 247157 - SELinux is preventing /usr/sbin/rpc.mountd (nfsd_t) "getattr" access to device /dev/megadev0
SELinux is preventing /usr/sbin/rpc.mountd (nfsd_t) "getattr" access to devic...
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-07-05 13:47 EDT by Anthony Messina
Modified: 2008-06-16 21:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:48:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2007-07-05 13:47:04 EDT
Description of problem:
I receive the following error when nfs is started in Fedora 7 with SELinux

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Setup nfs, with one share using a megadev device (hardware raid)
2. Restart nfs
Actual results:
SELinux is preventing /usr/sbin/rpc.mountd (nfsd_t) "getattr" access to device

Expected results:
I'm guessing that the /dev/megadev* entries should have a type of
fixed_disk_device_t, as all of the other filesystem devices do, but there is not
entry for that in the file_contexts file.

Additional info:
avc: denied { getattr } for comm="rpc.mountd" dev=tmpfs egid=0 euid=0
exe="/usr/sbin/rpc.mountd" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="megadev0" path="/dev/megadev0" pid=2256
scontext=system_u:system_r:nfsd_t:s0 sgid=0 subj=system_u:system_r:nfsd_t:s0
suid=0 tclass=chr_file tcontext=system_u:object_r:device_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-07-06 10:32:10 EDT
Fixed in selinux-policy-2.6.4-27
Comment 2 Anthony Messina 2007-07-23 20:45:42 EDT
thank you.  whatever change you made seems to work.  question though:

why the context:
/dev/megadev.*  -c      system_u:object_r:removable_device_t:s0

i guess "removable device" seems weird for my 8 port megaraid card that would
hardly be considered "removable".

anyway.  thanks.
Comment 3 Bug Zapper 2008-05-14 09:25:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:48:10 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.